/*
 *  Copyright (C) 2013  Thadeu Lima de Souza Cascardo <cascardo@cascardo.info>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <sgp/send.h>
#include <sgp/friend.h>
#include <sgp/msg.h>
#include <sgp/channel.h>
#include <errno.h>

/*
 * Send a message to a friend.
 */
int sgp_send(struct sgp_friend *friend, struct sgp_msg *msg)
{
	struct sgp_channel *channel;
	/*
	 * TODO: if we are sharing with a whole group, should we tell
	 * our friend? Cc vs Bcc.
	 */
	channel = sgp_friend_get_channel(friend);
	if (!channel)
		/* FIXME: find a better error structure */
		return -ENODEV;
	return sgp_channel_send(channel, msg);
}
